Bug 50186 - enabling Realtime Blackhole list does not work
enabling Realtime Blackhole list does not work
Product: Red Hat Linux
Classification: Retired
Component: linuxconf (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
: Security
Depends On:
  Show dependency treegraph
Reported: 2001-07-27 15:23 EDT by Need Real Name
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-21 13:48:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-07-27 15:23:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.7-ac1 i686)

Description of problem:
If you use linuxconf to configure sendmail you are given the
option (under "features") to enable the use of the Realtime
Blackhole list. Selecting this and generating a new sendmail.cf
does not result in a configuration that uses the blackhole list.

How reproducible:

Steps to Reproduce:
1. enable realtime blackhole list.
2. regenerate sendmail.cf and quit linuxconf
3. send an email to mailto:nelson-rbl-test@crynwr.com

Actual Results:  You get a message from linux.crynwr.com that you should
have gotten because it is on the RBL

Expected Results:  That message should have been dropped by sendmail.

Additional info:

Why does linuxconf not use the /etc/mail/sendmail.mc file to
generate the /etc/sendmail.cf. Everybody, including the sendmail
developers, suggest you do so. If you don't there is a high
probability that your rules are wrong.
And viola! they are wrong the RBL feature isn't working.
Comment 1 Brent Fox 2002-06-05 12:11:49 EDT
Closing because we don't ship linuxconf anymore
Comment 2 Red Hat Bugzilla 2006-02-21 13:48:04 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.